import { __spreadArray as o, __read as u } from "./index-tslib.es6.js";
var m = {
  setTimeout: function(r, a) {
    for (var t = [], e = 2; e < arguments.length; e++)
      t[e - 2] = arguments[e];
    return setTimeout.apply(void 0, o([r, a], u(t)));
  },
  clearTimeout: function(r) {
    return clearTimeout(r);
  },
  delegate: void 0
};
export {
  m as timeoutProvider
};
